RDKit: RDKit::RGroupDecompositionParameters Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::RGroupDecompositionParameters Struct Reference

`#include <RGroupDecompParams.h>`

## Public Member Functions
unsigned int | autoGetLabels (const RWMol &)
bool | prepareCore (RWMol &, const RWMol *alignCore)
void | addDummyAtomsToUnlabelledCoreAtoms (RWMol &core)
| RGroupDecompositionParameters ()

## Public Attributes
unsigned int | labels = RGroupLabels::AutoDetect
unsigned int | matchingStrategy = RGroupMatching::GreedyChunks
unsigned int | scoreMethod = RGroupScore::Match
unsigned int | rgroupLabelling
unsigned int | alignment = RGroupCoreAlignment::MCS
unsigned int | chunkSize = 5
bool | onlyMatchAtRGroups = false
| only allow rgroup decomposition at the specified rgroups
bool | removeAllHydrogenRGroups = true
| remove all user-defined rgroups that only have hydrogens
bool | removeAllHydrogenRGroupsAndLabels = true
bool | removeHydrogensPostMatch = true
| remove all hydrogens from the output molecules
bool | allowNonTerminalRGroups = false
| allow labelled Rgroups of degree 2 or more
bool | allowMultipleRGroupsOnUnlabelled = false
| unlabelled core atoms can have multiple rgroups
bool | allowMultipleCoresInSameMol = false
| Permit a core to match more than once in the same molecule if the sets of.
bool | doTautomers = false
bool | doEnumeration = false
bool | includeTargetMolInResults = false
double | timeout = -1.0
| timeout in seconds. <=0 indicates no timeout
int | gaPopulationSize = -1
int | gaMaximumOperations = -1
int | gaNumberOperationsWithoutImprovement = -1
int | gaRandomSeed = -1
int | gaNumberRuns = 1
bool | gaParallelRuns = false
SubstructMatchParameters | substructmatchParams

## Detailed Description

Definition at line 39 of file RGroupDecompParams.h.

## Constructor & Destructor Documentation

## ◆ RGroupDecompositionParameters()

RDKit::RGroupDecompositionParameters::RGroupDecompositionParameters | ( |  | ) |
| inline

Definition at line 108 of file RGroupDecompParams.h.

References substructmatchParams.

## Member Function Documentation

## ◆ addDummyAtomsToUnlabelledCoreAtoms()

void RDKit::RGroupDecompositionParameters::addDummyAtomsToUnlabelledCoreAtoms | ( | RWMol & | core | ) |

## ◆ autoGetLabels()

unsigned int RDKit::RGroupDecompositionParameters::autoGetLabels | ( | const RWMol & |  | ) |

## ◆ prepareCore()

bool RDKit::RGroupDecompositionParameters::prepareCore | ( | RWMol & | ,
|  | const RWMol * | alignCore )

## Member Data Documentation

## ◆ alignment

unsigned int RDKit::RGroupDecompositionParameters::alignment = RGroupCoreAlignment::MCS

Definition at line 45 of file RGroupDecompParams.h.

## ◆ allowMultipleCoresInSameMol

bool RDKit::RGroupDecompositionParameters::allowMultipleCoresInSameMol = false

Permit a core to match more than once in the same molecule if the sets of.

Definition at line 63 of file RGroupDecompParams.h.

## ◆ allowMultipleRGroupsOnUnlabelled

bool RDKit::RGroupDecompositionParameters::allowMultipleRGroupsOnUnlabelled = false

unlabelled core atoms can have multiple rgroups

Definition at line 60 of file RGroupDecompParams.h.

## ◆ allowNonTerminalRGroups

bool RDKit::RGroupDecompositionParameters::allowNonTerminalRGroups = false

allow labelled Rgroups of degree 2 or more

Definition at line 58 of file RGroupDecompParams.h.

## ◆ chunkSize

unsigned int RDKit::RGroupDecompositionParameters::chunkSize = 5

Definition at line 47 of file RGroupDecompParams.h.

## ◆ doEnumeration

bool RDKit::RGroupDecompositionParameters::doEnumeration = false

Definition at line 66 of file RGroupDecompParams.h.

## ◆ doTautomers

bool RDKit::RGroupDecompositionParameters::doTautomers = false

Definition at line 65 of file RGroupDecompParams.h.

## ◆ gaMaximumOperations

int RDKit::RGroupDecompositionParameters::gaMaximumOperations = -1

Definition at line 91 of file RGroupDecompParams.h.

## ◆ gaNumberOperationsWithoutImprovement

int RDKit::RGroupDecompositionParameters::gaNumberOperationsWithoutImprovement = -1

Definition at line 94 of file RGroupDecompParams.h.

## ◆ gaNumberRuns

int RDKit::RGroupDecompositionParameters::gaNumberRuns = 1

Definition at line 98 of file RGroupDecompParams.h.

## ◆ gaParallelRuns

bool RDKit::RGroupDecompositionParameters::gaParallelRuns = false

Definition at line 103 of file RGroupDecompParams.h.

## ◆ gaPopulationSize

int RDKit::RGroupDecompositionParameters::gaPopulationSize = -1

Definition at line 89 of file RGroupDecompParams.h.

## ◆ gaRandomSeed

int RDKit::RGroupDecompositionParameters::gaRandomSeed = -1

Definition at line 96 of file RGroupDecompParams.h.

## ◆ includeTargetMolInResults

bool RDKit::RGroupDecompositionParameters::includeTargetMolInResults = false

include target molecule (featuring explicit hydrogens where they coincide with R groups in the core) into RGD results, and set _rgroupTargetAtoms and _rgroupTargetBonds properties on R groups and core as vectors of target atom and bond indices to enable highlighting for SAR analysis (see https://greglandrum.github.io/rdkit-blog/posts/2021-08-07-rgd-and-highlighting.html)

Definition at line 73 of file RGroupDecompParams.h.

## ◆ labels

unsigned int RDKit::RGroupDecompositionParameters::labels = RGroupLabels::AutoDetect

Definition at line 40 of file RGroupDecompParams.h.

## ◆ matchingStrategy

unsigned int RDKit::RGroupDecompositionParameters::matchingStrategy = RGroupMatching::GreedyChunks

Definition at line 41 of file RGroupDecompParams.h.

## ◆ onlyMatchAtRGroups

bool RDKit::RGroupDecompositionParameters::onlyMatchAtRGroups = false

only allow rgroup decomposition at the specified rgroups

Definition at line 49 of file RGroupDecompParams.h.

## ◆ removeAllHydrogenRGroups

bool RDKit::RGroupDecompositionParameters::removeAllHydrogenRGroups = true

remove all user-defined rgroups that only have hydrogens

Definition at line 51 of file RGroupDecompParams.h.

## ◆ removeAllHydrogenRGroupsAndLabels

bool RDKit::RGroupDecompositionParameters::removeAllHydrogenRGroupsAndLabels = true

remove all user-defined rgroups that only have hydrogens, and also remove the corresponding labels from the core

Definition at line 54 of file RGroupDecompParams.h.

## ◆ removeHydrogensPostMatch

bool RDKit::RGroupDecompositionParameters::removeHydrogensPostMatch = true

remove all hydrogens from the output molecules

Definition at line 56 of file RGroupDecompParams.h.

## ◆ rgroupLabelling

unsigned int RDKit::RGroupDecompositionParameters::rgroupLabelling

Initial value:
=
RGroupLabelling::AtomMap | RGroupLabelling::MDLRGroup

Definition at line 43 of file RGroupDecompParams.h.

## ◆ scoreMethod

unsigned int RDKit::RGroupDecompositionParameters::scoreMethod = RGroupScore::Match

Definition at line 42 of file RGroupDecompParams.h.

## ◆ substructmatchParams

SubstructMatchParameters RDKit::RGroupDecompositionParameters::substructmatchParams

Definition at line 106 of file RGroupDecompParams.h.

Referenced by RGroupDecompositionParameters().

## ◆ timeout

double RDKit::RGroupDecompositionParameters::timeout = -1.0

timeout in seconds. <=0 indicates no timeout

Definition at line 75 of file RGroupDecompParams.h.

The documentation for this struct was generated from the following file:

- RGroupDecompParams.h